compact1, compact2, compact3
javax.security.cert

## Class CertificateParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.cert.CertificateException
      - - javax.security.cert.CertificateParsingException

- All Implemented Interfaces:
    Serializable

      public class CertificateParsingException
      extends CertificateException

  Certificate Parsing Exception. This is thrown whenever invalid DER encoded certificate is parsed or unsupported DER features are found in the Certificate.

  Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateParsingException()` Constructs a CertificateParsingException with no detail message.
    `CertificateParsingException(String message)` Constructs a CertificateParsingException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateParsingException

          public CertificateParsingException()

      Constructs a CertificateParsingException with no detail message. A detail message is a String that describes this particular exception.

    - #### CertificateParsingException

          public CertificateParsingException(String message)

      Constructs a CertificateParsingException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.